Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.ehvalidator.core
Enum EhValidator.ValidationResult

    java.lang.Object
      java.lang.Enum<EhValidator.ValidationResult>
          be.fgov.ehealth.ehvalidator.core.EhValidator.ValidationResult

All Implemented Interfaces:
  Serializable, Comparable<EhValidator.ValidationResult>

Enclosing class:
  EhValidator

    public static enum EhValidator.ValidationResult

extends Enum<EhValidator.ValidationResult>

Validation results.

Enum Constant Summary
`NOK` Sumehr is not valid, there is at least one error.
`OK` Sumehr is valid, and there is no warnings.
`OK_WARN` Sumehr is valid, but there is at least one warning.

Method Summary
`static EhValidator.ValidationResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EhValidator.ValidationResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK

    public static final EhValidator.ValidationResult OK

  Sumehr is valid, and there is no warnings.

### OK_WARN

    public static final EhValidator.ValidationResult OK_WARN

  Sumehr is valid, but there is at least one warning.

### NOK

    public static final EhValidator.ValidationResult NOK

  Sumehr is not valid, there is at least one error.

Method Detail

### values

    public static EhValidator.ValidationResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EhValidator.ValidationResult c : EhValidator.ValidationResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EhValidator.ValidationResult valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

eHealth Validator Master project 1.2.0 API
Copyright © 2011 Smals. All Rights Reserved.